Saltar al contenido principal
Reporter devuelve respuestas de error consistentes y estructuradas. Esto te ayuda a entender rápidamente qué salió mal y cómo solucionarlo. Formato de error
{
   "code": "<error_code>",
   "title": "<error_title>",
   "message": "<error_message>"
}
Definiciones de campos
  • code – Un identificador estable y único para el error. Útil para el manejo programático y solicitudes de soporte.
  • title – Un resumen breve y legible del problema.
  • message – Orientación detallada para ayudarte a resolver el error.
Esta estructura asegura que siempre obtengas retroalimentación accionable cuando algo no sale como se esperaba.

Errores de Reporter


Los siguientes errores pueden ocurrir al interactuar con los endpoints de Reporter. Cada error sigue nuestra estructura estándar, facilitando la depuración y respuesta a problemas de manera programática. Consulta la tabla a continuación para obtener una lista de posibles códigos de error, qué significan y cómo resolverlos.

400


CódigoTítuloMensajeTraducción
TPL-0001Missing required fieldsOne or more required fields are missing. Please ensure all required fields like ‘description’, ‘template’, and ‘outputFormat’ are included.Faltan uno o más campos obligatorios. Asegúrese de que todos los campos obligatorios como ‘description’, ‘template’ y ‘outputFormat’ estén incluidos.
TPL-0002Invalid file formatThe uploaded file must be a ‘.tpl’ file. Other formats are not supported.El archivo cargado debe ser un archivo ‘.tpl’. No se admiten otros formatos.
TPL-0003Invalid output formatThe outputFormat field must be one of: ‘html’, ‘csv’, or ‘xml’.El campo outputFormat debe ser uno de: ‘html’, ‘csv’ o ‘xml’.
TPL-0004Invalid headerOne or more header values are missing or incorrectly formatted. Please verify required headers %VALUE.Uno o más valores de encabezado faltan o tienen un formato incorrecto. Verifique los encabezados requeridos %VALUE.
TPL-0005Invalid File UploadedThe file you submitted is invalid. Please check the uploaded file with error: %VALUEEl archivo que envió no es válido. Verifique el archivo cargado con el error: %VALUE
TPL-0006Error File EmptyThe file you submitted is empty. Please check the uploaded fileEl archivo que envió está vacío. Verifique el archivo cargado.
TPL-0007Error File Content InvalidThe file content is invalid because is not %s. Please check the uploaded file.El contenido del archivo no es válido porque no es %s. Verifique el archivo cargado.
TPL-0008Invalid Map FieldsThe field on template file is invalid. Invalid field %s on %s.El campo en el archivo de plantilla no es válido. Campo inválido %s en %s.
TPL-0009Invalid Path ParameterPath parameters is in an incorrect format. Please check the following parameter %v and ensure they meet the required format before trying again.Los parámetros de ruta tienen un formato incorrecto. Verifique el siguiente parámetro %v y asegúrese de que cumplan con el formato requerido antes de intentar nuevamente.
TPL-0010Update Output format without template FileCan not update output format without passing template file. Please check information passed and try again.No se puede actualizar el formato de salida sin proporcionar el archivo de plantilla. Verifique la información proporcionada e intente nuevamente.
TPL-0012Invalid templateIDThe specified templateID is not a valid UUID. Please check the value passed.El templateID especificado no es un UUID válido. Verifique el valor proporcionado.
TPL-0013Invalid ledgerIDThe specified ledgerID inside ledger ID list is not a valid UUID. Please check the value passed %v.El ledgerID especificado dentro de la lista de IDs de ledger no es un UUID válido. Verifique el valor proporcionado %v.
TPL-0014Missing required fieldsThe fields mapped on template file is missing on tables schema. Please check the fields passed ‘%v’.Los campos mapeados en el archivo de plantilla faltan en el esquema de tablas. Verifique los campos proporcionados ‘%v’.
TPL-0015Unexpected Fields in the RequestThe request body contains more fields than expected. Please send only the allowed fields as per the documentation. The unexpected fields are listed in the fields object.El cuerpo de la solicitud contiene más campos de los esperados. Envíe solo los campos permitidos según la documentación. Los campos inesperados se enumeran en el objeto de campos.
TPL-0016Missing Fields in RequestYour request is missing one or more required fields. Please refer to the documentation to ensure all necessary fields are included in your request.Su solicitud carece de uno o más campos obligatorios. Consulte la documentación para asegurarse de que todos los campos necesarios estén incluidos en su solicitud.
TPL-0017Bad RequestThe server could not understand the request due to malformed syntax. Please check the listed fields and try again.El servidor no pudo entender la solicitud debido a una sintaxis mal formada. Verifique los campos indicados e intente nuevamente.
TPL-0019Invalid Query ParameterOne or more query parameters are in an incorrect format. Please check the following parameters ‘%v’ and ensure they meet the required format before trying again.Uno o más parámetros de consulta tienen un formato incorrecto. Verifique los siguientes parámetros ‘%v’ y asegúrese de que cumplan con el formato requerido antes de intentar nuevamente.
TPL-0023Invalid Date Range ErrorBoth ‘initialDate’ and ‘finalDate’ fields are required and must be in the ‘yyyy-mm-dd’ format. Please provide valid dates and try againLos campos ‘initialDate’ y ‘finalDate’ son obligatorios y deben estar en el formato ‘yyyy-mm-dd’. Proporcione fechas válidas e intente nuevamente.
TPL-0026Metadata Key Length ExceededThe metadata value %v exceeds the maximum allowed length of %v characters. Please use a shorter value.El valor de metadatos %v excede la longitud máxima permitida de %v caracteres. Use un valor más corto.
TPL-0027Metadata Value Length ExceededThe metadata value %v exceeds the maximum allowed length of %v characters. Please use a shorter value.El valor de metadatos %v excede la longitud máxima permitida de %v caracteres. Use un valor más corto.
TPL-0028Invalid Metadata NestingThe metadata object cannot contain nested values. Please ensure that the value %v is not nested and try again.El objeto de metadatos no puede contener valores anidados. Asegúrese de que el valor %v no esté anidado e intente nuevamente.
TPL-0029Report status not FinishedThe Report is not ready to download. Report is processing yet.El informe no está listo para descargar. El informe aún se está procesando.
TPL-0030Missing Schema TableThere is a schema table missing. Please check your template file passed.Falta una tabla de esquema. Verifique el archivo de plantilla proporcionado.
TPL-0031Missing Data Source TableThe data source %v is missing. Please check the value passed.La fuente de datos %v falta. Verifique el valor proporcionado.
TPL-0032Script Tag DetectedThe template file contains a script tag and is not allowed. Please check the template file and try again.El archivo de plantilla contiene una etiqueta de script y no está permitido. Verifique el archivo de plantilla e intente nuevamente.

404

CódigoTítuloMensajeTraducción
TPL-0011Entity Not FoundNo %v entity was found for the given ID. Please make sure to use the correct ID for the entity you are trying to manage.No se encontró ninguna entidad %v para el ID proporcionado. Asegúrese de usar el ID correcto para la entidad que está intentando gestionar.
TPL-0020Invalid Date Format ErrorThe ‘initialDate’, ‘finalDate’, or both are in the incorrect format. Please use the ‘yyyy-mm-dd’ format and try again.El campo ‘initialDate’, ‘finalDate’ o ambos tienen un formato incorrecto. Use el formato ‘yyyy-mm-dd’ e intente nuevamente.
TPL-0021Invalid Final Date ErrorThe ‘finalDate’ cannot be earlier than the ‘initialDate’. Please verify the dates and try again.El campo ‘finalDate’ no puede ser anterior a ‘initialDate’. Verifique las fechas e intente nuevamente.
TPL-0022Date Range Exceeds Limit ErrorThe range between ‘initialDate’ and ‘finalDate’ exceeds the permitted limit of %v months. Please adjust the dates and try again.El rango entre ‘initialDate’ y ‘finalDate’ excede el límite permitido de %v meses. Ajuste las fechas e intente nuevamente.
TPL-0024Pagination Limit ExceededThe pagination limit exceeds the maximum allowed of %v items per page. Please verify the limit and try again.El límite de paginación excede el máximo permitido de %v elementos por página. Verifique el límite e intente nuevamente.
TPL-0025Invalid Sort OrderThe ‘sort_order’ field must be ‘asc’ or ‘desc’. Please provide a valid sort order and try again.El campo ‘sort_order’ debe ser ‘asc’ o ‘desc’. Proporcione un orden de clasificación válido e intente nuevamente.

500

CódigoTítuloMensajeTraducción
TPL-0018Internal Server ErrorThe server encountered an unexpected error. Please try again later or contact support.El servidor encontró un error inesperado. Intente nuevamente más tarde o contacte al soporte.
TPL-0033Encryption data error Tag DetectedError to make the encryption of CRM data. Err: %vError al realizar el cifrado de los datos de CRM. Err: %v
TPL-0034Communication Error with SeaweedFSError to communicate with SeaweedFS to download or upload file. Please try again.Error al comunicarse con SeaweedFS para descargar o cargar el archivo. Intente nuevamente.